> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/payment-actions/void.md).

# Void

A cancellation or void authorization puts a hold on a payment. If no amount is specified, then the full amount will be canceled. Cancellations can only be completed on transactions with the status SETTLEMENT\_REQUESTED. Multiple cancellations cannot be completed on a single payment. Only a cancellation for the full transaction amount is allowed.

You can perform a cancellation through the [API](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/OnU159hHWJkJp14gc6AP) or the [portal](https://test.verifone.cloud/).

## Canceling a capture via the API <a href="#canceling-a-capture-overview" id="canceling-a-capture-overview"></a>

Send POST/transactions/{id}/void.

**Request example**:

```php
{
"amount": "20.50",
"id": 1234,
"initiatorTraceId": "000001",
"referenceId": "200211654321",
"createdDateTime": "2019-02-24T05:19:12Z"
}
```

Note the parameters:

* id (required) - Original transaction ID to void the authorization.
* amount - The value, which can be anything from:
  * An integer. For currencies that are not typically fractional, such as JPY.
  * A three-place decimal fraction. For currencies that are subdivided into thousandths, such as TND.
  * An eight-place decimal fraction. For currencies such as Bitcoin.
  * For the required number of decimal places for a currency code, see ISO 4217.

**Response example**:

```php
{
"id": "76944d4b-89e6-48d2-ac04-675383c3eedf",
"status": "AUTHORIZED",
"createdAt": "2020-07-21T19:35:29Z",
"reversalStatus": "NONE",
"response": "SUCCESS",
"responseCode": "0000",
"responseMessage": "string",
"acquirerResponseCode": "stri",
"merchantId": "765231"
}
```

## Canceling a capture via Verifone Central <a href="#canceling-a-capture-via-verifone-central" id="canceling-a-capture-via-verifone-central"></a>

1. Log in to Verifone Central and go to the **Orders /** **Transaction** page, *Orders* view.
2. Select the **Transaction ID** from the drop-down menu and type the transaction ID in the search bar.
3. Click on the transaction and navigate to the **Actions** tab.
4. Enter the amount you want to cancel and click **Cancel**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/payment-actions/void.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
